HTTP**cow配置-折腾笔记

一、cow安装

请参考链接1

二、监控启动

监控工具:supervisor

配置:

启动配置:

来源:https://github.com/cyfdecyf/cow/blob/master/doc/init.d/cow

三、问题

1、sudo: sorry, you must have a tty to run sudo错误。

表述:无法通过supervisor移动

来源:/var/log/cow日志文件

解决方法

使用不同账户,执行执行脚本时候sudo经常会碰到 sudo: sorry, you must have a tty to run sudo这个情况,其实修改一下sudo的配置就好了

vi /etc/sudoers (最好用visudo命令)

注释掉 Default requiretty 一行

#Default requiretty

意思就是sudo默认需要tty终端。注释掉就可以在后台执行了。-

参考链接


https://github.com/cyfdecyf/cow

http://www.linuxidc.com/Linux/2012-11/75153.htm

https://my.oschina.net/crooner/blog/395069

Print Friendly
赞 (2)
分享到:更多 ()

留言板 0

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址